<?php
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion

require_once("../includes/funciones_generales.php");
if(!comprobar_sesion()){
	$ar=array();
	$ar['error']='session';
	echo json_encode($ar);
	exit;
}

if(isset($_POST['md'])){
	require_once("../includes/MySQL.php");
	$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));
	if($_POST['md']=='lg'){
		$cod=(int)$_POST['id'];
		if(isset($_POST['oper'])){
			$acction=$academia->escapar($_POST['oper']);
			$desc=$academia->escapar($_POST['d']);
			$doc=$academia->escapar($_POST['dc']);
			$gru=$academia->escapar($_POST['gr']);
			$mat=$academia->escapar($_POST['mt']);
			$per=$academia->escapar($_POST['p']);
			switch($acction){
				case 'del':
					$sql="DELETE FROM aca_logros WHERE cod_logro = '$cod';";
				break;
				case 'edit';
					$sql="UPDATE aca_logros SET cod_pro = '$doc', per_cal = '$per', def_logro = '$desc' WHERE cod_logro = '$cod';";
				break;
				case 'new':
					$sql="INSERT INTO aca_logros(cod_asig, cod_grado, cod_pro, per_cal, def_logro) VALUES ('$mat', '$gru', '$doc', '$per', '$desc');";
				break;
				default:
					$sql="";
			}
		}
	}elseif($_POST['md']=='in'){
		
		if(isset($_POST['oper'])){
			$acction=$academia->escapar($_POST['oper']);
			$cod=(int)$_POST['id'];
			$desc=$academia->escapar($_POST['d']);
			$cdlg=$academia->escapar($_POST['idlg']);
			$niv=$academia->escapar($_POST['niv']);
			
			switch($acction){
				case 'del':
					$sql="DELETE FROM aca_indicadores WHERE cod_indicador = '$cod';";
				break;
				case 'edit';
					$sql="UPDATE aca_indicadores SET definicion = '$desc', nivel = '$niv' WHERE cod_indicador = '$cod';";
				break;
				case 'new':
					$sql="INSERT INTO aca_indicadores (cod_logro, definicion, nivel) VALUES ('$cdlg', '$desc', '$niv');";
				break;
				default:
					$sql="";
			}
		}
	}
	if($sql!=''){
		$academia->instruccion($sql);
		if($acction=='new'){
			$rta=array('error'=>$academia->extraer_error(),'id'=>$academia->ultima_fila());
			echo json_encode($rta);
		}else{
			$rta=array('error'=>$academia->extraer_error(),'id'=>$cod,sql=>$sql);
			echo json_encode($rta);
		}
	}		

	$academia->cerrar();
}
?>